package miage.atelier;

import java.util.ArrayList;
import miage.atelier.Donnee;

public class CollectionDonnees {
	private ArrayList<Donnee> donnees = new ArrayList<Donnee>();

	public double moyenne() {
            double moy = 0; 
            for (Donnee d : donnees) {
                moy += d.getValue();
                
                //System.out.println("moy " + moy + " valeur " + d.getValue());
            }
            if (donnees.size() > 0) {
                moy /= donnees.size();
            }    
            return moy;
	}
        
        public void addDonnee (Donnee d) {
            donnees.add(d);
        }
        
        public Donnee getDonnee (int pos) {
            Donnee d = null;
            if (pos>=0 && pos<donnees.size()) {
                d = donnees.get(pos);
            }
            return d;
        }

	public void clean() {
		this.donnees.clear();
	}
        
}